summaryrefslogtreecommitdiffstats
path: root/multimedia/sfnt2woff/sfnt2woff.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/sfnt2woff/sfnt2woff.SlackBuild')
-rw-r--r--multimedia/sfnt2woff/sfnt2woff.SlackBuild16
1 files changed, 7 insertions, 9 deletions
diff --git a/multimedia/sfnt2woff/sfnt2woff.SlackBuild b/multimedia/sfnt2woff/sfnt2woff.SlackBuild
index a20ab3a34d..b357def98c 100644
--- a/multimedia/sfnt2woff/sfnt2woff.SlackBuild
+++ b/multimedia/sfnt2woff/sfnt2woff.SlackBuild
@@ -26,6 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=sfnt2woff
+SRCNAM=woff-tools
VERSION=${VERSION:-2009.10.03}
SRCVER=20091003
BUILD=${BUILD:-1}
@@ -40,9 +41,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -67,9 +65,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$SRCVER
-tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
-cd $PRGNAM-$SRCVER
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+cd $SRCNAM-$SRCVER
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -80,13 +78,13 @@ find -L . \
# Ain't really much to the build process
CC="cc $SLCKFLAGS" make
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
# There's no "make install", but we can do that ourselves.
mkdir -p $PKG/usr/bin
cp -a sfnt2woff woff2sfnt $PKG/usr/bin
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild